import dayjs from 'dayjs/esm';

import { IInputDataUploadLog, NewInputDataUploadLog } from './input-data-upload-log.model';

export const sampleWithRequiredData: IInputDataUploadLog = {
  id: 3266,
  logMessage: 'after incidentally cute',
  creationDate: dayjs('2024-10-14T21:07'),
  creationUsername: 'like leveret constant',
};

export const sampleWithPartialData: IInputDataUploadLog = {
  id: 7937,
  logMessage: 'to jeweller',
  creationDate: dayjs('2024-10-15T04:40'),
  creationUsername: 'familiar',
  version: 19487,
};

export const sampleWithFullData: IInputDataUploadLog = {
  id: 31573,
  logMessage: 'phew well-worn',
  creationDate: dayjs('2024-10-15T07:17'),
  creationUsername: 'tragic brr oof',
  version: 6115,
};

export const sampleWithNewData: NewInputDataUploadLog = {
  logMessage: 'hmph spend',
  creationDate: dayjs('2024-10-14T19:31'),
  creationUsername: 'loft sheepishly',
  id: null,
};

Object.freeze(sampleWithNewData);
Object.freeze(sampleWithRequiredData);
Object.freeze(sampleWithPartialData);
Object.freeze(sampleWithFullData);
